## robot-testing-framework 2.0.1%2Bds1

=== examples/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

# Build examples
if (BUILD_EXAMPLES)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}/examples")

  add_executable(robottestingframework_simple simple.cpp)
  target_link_libraries(robottestingframework_simple RobotTestingFramework::RTF)

  add_executable(robottestingframework_simple_suite simple_suite.cpp)
  target_link_libraries(robottestingframework_simple_suite RobotTestingFramework::RTF)

  add_executable(robottestingframework_simple_collector simple_collector.cpp)
  target_link_libraries(robottestingframework_simple_collector RobotTestingFramework::RTF)

  add_executable(robottestingframework_simple_runner simple_runner.cpp)
  target_link_libraries(robottestingframework_simple_runner RobotTestingFramework::RTF)

  add_executable(robottestingframework_simple_fixture simple_fixture.cpp)
  target_link_libraries(robottestingframework_simple_fixture RobotTestingFramework::RTF)

  if(ENABLE_WEB_LISTENER)
    add_executable(robottestingframework_simple_web simple_web.cpp)
    target_link_libraries(robottestingframework_simple_web RobotTestingFramework::RTF)
  endif()
endif()

=== examples/python-plugin/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


cmake_minimum_required(VERSION 3.0)

find_package(RobotTestingFramework COMPONENTS DLL)

add_executable(simple_run run.cpp)
target_link_libraries(simple_run RobotTestingFramework::RTF
                                 RobotTestingFramework::RTF_dll)

## robot-testing-framework 2.0.1+ds1

=== CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


cmake_minimum_required(VERSION 3.5)
project(RobotTestingFramework
        VERSION 2.0.1
        LANGUAGES C CXX)
# FIXME CMake 3.9 these variables are handled by "project"
set(CMAKE_PROJECT_DESCRIPTION "Robot Testing Framework")
set(PROJECT_DESCRIPTION "${CMAKE_PROJECT_DESCRIPTION}")
set(RobotTestingFramework_DESCRIPTION "${CMAKE_PROJECT_DESCRIPTION}")

# enforce the use of C++11
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# use position independent code
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Pick up our CMake scripts - they are all in the cmake subdirectory.
set(RobotTestingFramework_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
set(CMAKE_MODULE_PATH ${RobotTestingFramework_MODULE_PATH})

# Make documentation target, documentation goes in
#doc subdirectory of build.
include(RobotTestingFrameworkDoc)

# include some helper functions
include(InstallBasicPackageFiles)
include(GNUInstallDirs)
include(GenerateExportHeader)

# include RobotTestingFramework Options
include(RobotTestingFrameworkOptions)

# adding directories
find_package(TinyXML)
add_subdirectory(extern)

add_subdirectory(src)


# examples are also used as tests
enable_testing()

add_subdirectory(examples)
add_subdirectory(tests)


# installation
set(BUILD_RobotTestingFramework_INCLUDEDIR ${CMAKE_SOURCE_DIR}/src/robottestingframework/include)
set(INSTALL_RobotTestingFramework_INCLUDEDIR ${CMAKE_INSTALL_PREFIX}/include)
set(BUILD_RobotTestingFramework_DLL_INCLUDEDIR ${CMAKE_SOURCE_DIR}/src/plugins/dll/include)
set(INSTALL_RobotTestingFramework_DLL_INCLUDEDIR ${CMAKE_INSTALL_PREFIX}/include)
set(BUILD_RobotTestingFramework_LUA_INCLUDEDIR ${CMAKE_SOURCE_DIR}/src/plugins/lua/include)
set(INSTALL_RobotTestingFramework_LUA_INCLUDEDIR ${CMAKE_INSTALL_PREFIX}/include)
set(BUILD_RobotTestingFramework_PYTHON_INCLUDEDIR ${CMAKE_SOURCE_DIR}/src/plugins/python/include)
set(INSTALL_RobotTestingFramework_PYTHON_INCLUDEDIR ${CMAKE_INSTALL_PREFIX}/include)
set(BUILD_RobotTestingFramework_RUBY_INCLUDEDIR ${CMAKE_SOURCE_DIR}/src/plugins/ruby/include)
set(INSTALL_RobotTestingFramework_RUBY_INCLUDEDIR ${CMAKE_INSTALL_PREFIX}/include)


install_basic_package_files(RobotTestingFramework
                            VERSION ${RobotTestingFramework_VERSION}
                            COMPATIBILITY SameMajorVersion
                            EXPORT RobotTestingFramework
                            EXTRA_PATH_VARS_SUFFIX DLL_INCLUDEDIR
                                                   LUA_INCLUDEDIR
                                                   PYTHON_INCLUDEDIR
                                                   RUBY_INCLUDEDIR)

# add uninstall target
include(AddUninstallTarget)

=== extern/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


# Build TinyXml if it is not available
if(BUILD_TESTRUNNER AND NOT TinyXML_FOUND)
  add_subdirectory(tinyxml)
endif()

# Build mongoose
if(ENABLE_WEB_LISTENER)
  add_subdirectory(mongoose)
endif()

=== src/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


# Build RobotTestingFramework library
add_subdirectory(robottestingframework)

# build plugin manager
add_subdirectory(plugins)

# Build robottestingframework-testrunner
if (BUILD_TESTRUNNER)
    add_subdirectory(robottestingframework-testrunner)
endif(BUILD_TESTRUNNER)

=== tests/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


# build tests
include(RobotTestingFrameworkTestHelpers)

if (BUILD_TESTING)
  # enable Robot Testing Framework testing
  enable_robottestingframework_tests()

  # adding api c++ tests
  add_subdirectory(api)

  if (BUILD_TESTRUNNER)
    # adding basic tests
    add_subdirectory(basic)

    # adding basic tests
    add_subdirectory(fixture)

    # adding lua tests
    add_subdirectory(lua)

    # adding python tests
    add_subdirectory(python)

    # adding python tests
    add_subdirectory(ruby)

    # adding robottestingframework-testrunner tests
    add_subdirectory(robottestingframework-testrunner)

    # adding robottestingframework_add_suite tests
    add_subdirectory(robottestingframework_add_suite)
  endif()

  add_subdirectory(misc)
endif()

=== examples/fixture-plugin/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


cmake_minimum_required(VERSION 3.5)

find_package(RobotTestingFramework COMPONENTS DLL)

set(CMAKE_SHARED_MODULE_PREFIX "")

add_library(myfixture MODULE MyFixManager.cpp MyFixManager.h)
target_link_libraries(myfixture ${RobotTestingFramework_LIBRARIES})

add_executable(test test.cpp)
target_link_libraries(test ${RobotTestingFramework_LIBRARIES})

=== examples/lua-plugin/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

cmake_minimum_required(VERSION 3.5)

find_package(RobotTestingFramework COMPONENTS DLL)

add_executable(simple_run run.cpp)
target_link_libraries(simple_run RobotTestingFramework::RTF
                                 RobotTestingFramework::RTF_dll)

=== examples/plugin/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


cmake_minimum_required(VERSION 3.5)

find_package(RobotTestingFramework COMPONENTS DLL)

add_library(mytest MODULE MyTest.cpp MyTest.h)
target_link_libraries(mytest RobotTestingFramework::RTF
                             RobotTestingFramework::RTF_dll)

add_executable(simple_run run.cpp)
target_link_libraries(simple_run RobotTestingFramework::RTF
                                 RobotTestingFramework::RTF_dll)

=== examples/ruby-plugin/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


cmake_minimum_required(VERSION 3.5)

find_package(RobotTestingFramework COMPONENTS DLL)

add_executable(simple_run run.cpp)
target_link_libraries(simple_run RobotTestingFramework::RTF
                                 RobotTestingFramework::RTF_dll)

=== extern/mongoose/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


# Mongoose

set(mongoose_SRCS src/mongoose.c)

set(mongoose_HDRS src/mongoose.h)

add_library(RTF_mongoose OBJECT ${mongoose_SRCS}
                                ${mongoose_HDRS})
add_library(RobotTestingFramework::RTF_mongoose ALIAS RTF_mongoose)

target_include_directories(RTF_mongoose PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>)
if(NOT WIN32)
  # See https://gitlab.kitware.com/cmake/cmake/issues/14778
  # See https://gitlab.kitware.com/cmake/cmake/merge_requests/1524
  if(NOT ${CMAKE_MINIMUM_REQUIRED_VERSION} VERSION_LESS 3.12)
    message(AUTHOR_WARNING "CMAKE_MINIMUM_REQUIRED_VERSION is now ${CMAKE_MINIMUM_REQUIRED_VERSION}. object libraries can be used with target_link_libraries now.")
  endif()
#   target_link_libraries(RTF_mongoose INTERFACE pthread)
  set_target_properties(RTF_mongoose PROPERTIES INTERFACE_LINK_LIBRARIES pthread)
endif()

=== src/plugins/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


# build plugin manager
if (ENABLE_PLUGIN OR BUILD_TESTRUNNER)
  add_subdirectory(dll)
endif()

# build Lua plugin manager
if (ENABLE_LUA_PLUGIN)
  add_subdirectory(lua)
endif()

# build Python plugin manager
if (ENABLE_PYTHON_PLUGIN)
  add_subdirectory(python)
endif()

# build Ruby plugin manager
if (ENABLE_RUBY_PLUGIN)
  add_subdirectory(ruby)
endif()

=== src/robottestingframework-testrunner/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


configure_file("${CMAKE_CURRENT_SOURCE_DIR}/include/Version.h.in"
               "${CMAKE_CURRENT_BINARY_DIR}/include/Version.h"
               @ONLY)

set(RTF_testrunner_HDRS include/ErrorLogger.h
                        include/JUnitOutputter.h
                        include/PlatformDir.h
                        include/PluginFactory.h
                        include/PluginRunner.h
                        include/SuiteRunner.h
                        include/cmdline.h
                        "${CMAKE_CURRENT_BINARY_DIR}/include/Version.h")

set(RTF_testrunner_SRCS src/ErrorLogger.cpp
                        src/JUnitOutputter.cpp
                        src/PluginRunner.cpp
                        src/SuiteRunner.cpp
                        src/main.cpp)

add_executable(RTF_testrunner ${RTF_testrunner_HDRS}
                              ${RTF_testrunner_SRCS})
add_executable(RobotTestingFramework::RTF_testrunner ALIAS RTF_testrunner)

target_include_directories(RTF_testrunner PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/include"
                                                  "${CMAKE_CURRENT_BINARY_DIR}/include")

target_link_libraries(RTF_testrunner PRIVATE RobotTestingFramework::RTF
                                             RobotTestingFramework::RTF_dll)

target_compile_features(RTF_testrunner PRIVATE cxx_nullptr)

# TinyXML
if(TinyXML_FOUND)
  target_include_directories(RTF_testrunner PRIVATE ${TinyXML_INCLUDE_DIRS})
  target_link_libraries(RTF_testrunner PRIVATE ${TinyXML_LIBRARIES})
else()
  target_sources(RTF_testrunner PRIVATE $<TARGET_OBJECTS:RobotTestingFramework::RTF_tinyxml>)
  target_include_directories(RTF_testrunner PRIVATE $<TARGET_PROPERTY:RobotTestingFramework::RTF_tinyxml,INTERFACE_INCLUDE_DIRECTORIES>)
  get_target_property(RTF_tinyxml_INTERFACE_LINK_LIBRARIES RobotTestingFramework::RTF_tinyxml INTERFACE_LINK_LIBRARIES)
  if(RTF_tinyxml_INTERFACE_LINK_LIBRARIES)
    target_link_libraries(RTF_testrunner PRIVATE ${RTF_tinyxml_INTERFACE_LINK_LIBRARIES})
  endif()
  target_compile_definitions(RTF_testrunner PRIVATE $<TARGET_PROPERTY:RobotTestingFramework::RTF_tinyxml,INTERFACE_COMPILE_DEFINITIONS>)
endif()

if(ENABLE_WEB_LISTENER)
  target_compile_definitions(RTF_testrunner PRIVATE ENABLE_WEB_LISTENER)
endif()

if(ENABLE_LUA_PLUGIN)
  target_link_libraries(RTF_testrunner PRIVATE RobotTestingFramework::RTF_lua)
  target_compile_definitions(RTF_testrunner PRIVATE ENABLE_LUA_PLUGIN)
endif()

if(ENABLE_PYTHON_PLUGIN)
  target_link_libraries(RTF_testrunner PRIVATE RobotTestingFramework::RTF_python)
  target_compile_definitions(RTF_testrunner PRIVATE ENABLE_PYTHON_PLUGIN)
endif()

if(ENABLE_RUBY_PLUGIN)
  target_link_libraries(RTF_testrunner PRIVATE RobotTestingFramework::RTF_ruby)
  target_compile_definitions(RTF_testrunner PRIVATE ENABLE_RUBY_PLUGIN)
endif()

set_property(TARGET RTF_testrunner PROPERTY OUTPUT_NAME robottestingframework-testrunner)

install(TARGETS RTF_testrunner
        EXPORT RobotTestingFramework
        COMPONENT robottestingframework-testrunner
        RUNTIME DESTINATION bin)

=== src/robottestingframework/CMakeLists.txt ===
# Robot Testing Framework
#
# Copyright (C) 2015-2019 Istituto Italiano di Tecnologia (IIT)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


set(RTF_HDRS include/robottestingframework/Arguments.h
             include/robottestingframework/Asserter.h
             include/robottestingframework/ConsoleListener.h
             include/robottestingframework/Exception.h
             include/robottestingframework/FixtureManager.h
             include/robottestingframework/PluginLoader.h
             include/robottestingframework/ResultEvent.h
             include/robottestingframework/TestAssert.h
             include/robottestingframework/TestCase.h
             include/robottestingframework/Test.h
             include/robottestingframework/TestListener.h
             include/robottestingframework/TestMessage.h
             include/robottestingframework/TestResultCollector.h
             include/robottestingframework/TestResult.h
             include/robottestingframework/TestRunner.h
             include/robottestingframework/TestSuite.h
             include/robottestingframework/TextOutputter.h)

set(RTF_IMPL_HDRS )

set(RTF_SRCS src/Arguments.cpp
             src/Asserter.cpp
             src/ConsoleListener.cpp
             src/FixtureManager.cpp
             src/TestCase.cpp
             src/TestMessage.cpp
             src/TestResultCollector.cpp
             src/TestResult.cpp
             src/TestRunner.cpp
             src/TestSuite.cpp
             src/TextOutputter.cpp)

# Create the library
if(ENABLE_WEB_LISTENER)
  list(APPEND RTF_IMPL_HDRS include/robottestingframework/impl/WebProgressListener_impl.h)
  list(APPEND RTF_HDRS include/robottestingframework/WebProgressListener.h)
  list(APPEND RTF_SRCS src/WebProgressListener.cpp)
endif()


add_library(RTF ${RTF_SRCS}
                ${RTF_HDRS}
                ${RTF_IMPL_HDRS})
add_library(RobotTestingFramework::RTF ALIAS RTF)

target_include_directories(RTF PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
                                      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
                               PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/include/impl")

if(ENABLE_WEB_LISTENER)
  target_sources(RTF PRIVATE $<TARGET_OBJECTS:RobotTestingFramework::RTF_mongoose>)
  target_include_directories(RTF PRIVATE $<TARGET_PROPERTY:RobotTestingFramework::RTF_mongoose,INTERFACE_INCLUDE_DIRECTORIES>)
  get_target_property(RTF_mongoose_INTERFACE_LINK_LIBRARIES RobotTestingFramework::RTF_mongoose INTERFACE_LINK_LIBRARIES)
  if(RTF_mongoose_INTERFACE_LINK_LIBRARIES)
    target_link_libraries(RTF PRIVATE ${RTF_mongoose_INTERFACE_LINK_LIBRARIES})
  endif()
endif()

target_compile_features(RTF PUBLIC cxx_nullptr)

# choose which header files should be installed
set_property(TARGET RTF PROPERTY PUBLIC_HEADER ${RTF_HDRS})

set_property(TARGET RTF PROPERTY OUTPUT_NAME robottestingframework)
set_property(TARGET RTF PROPERTY SOVERSION 2)

install(TARGETS RTF
        EXPORT RobotTestingFramework
        COMPONENT robottestingframework
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/robottestingframework)

=== debian/changelog ===
robot-testing-framework (2.0.1+ds1-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:08:38 +0000

robot-testing-framework (2.0.1+ds1-3ubuntu1) noble; urgency=medium

  * d/librobottestingframework{,-dll}2.symbols: update symbols for ppc64el.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 29 Feb 2024 17:49:54 -0300

robot-testing-framework (2.0.1+ds1-3build1) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:11:38 -0300

robot-testing-framework (2.0.1+ds1-3) unstable; urgency=medium

  * Team Upload.
  * Update symbols as per new compiler version changes (Closes: #1037843)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Nov 2023 23:46:52 +0530

robot-testing-framework (2.0.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Source-only-upload for testing migration 

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 05 Feb 2021 13:03:02 +0530

robot-testing-framework (2.0.1+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #969037)

 -- Daniele E. Domenichelli <ddomenichelli@drdanz.it>  Tue, 12 Jan 2021 22:01:01 +0100

=== debian/control ===
Source: robot-testing-framework
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniele E. Domenichelli <ddomenichelli@drdanz.it>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.5),
 pkg-config,
 libtinyxml-dev,
 liblua5.3-dev,
 ruby-dev
Build-Depends-Indep:
 doxygen <!nodoc>,
 graphviz <!nodoc>,
Standards-Version: 4.5.1
Section: libs
Vcs-Browser: https://salsa.debian.org/science-team/robot-testing-framework
Vcs-Git: https://salsa.debian.org/science-team/robot-testing-framework.git
Homepage: https://robotology.github.io/robot-testing-framework/
Rules-Requires-Root: no

Package: librobottestingframework-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 librobottestingframework2 (= ${binary:Version}),
 librobottestingframework-dll2 (= ${binary:Version}),
 librobottestingframework-lua2 (= ${binary:Version}),
 librobottestingframework-ruby2 (= ${binary:Version}),
 robottestingframework-testrunner (= ${binary:Version})
Description: Robot Testing Framework - development files
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the development files.

Package: librobottestingframework2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF shared library.

Package: librobottestingframework-dll2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF_dll library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF_dll shared library.

Package: librobottestingframework-lua2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF_lua library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF_lua shared library.

Package: librobottestingframework-ruby2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot Testing Framework - RTF_ruby library
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the RTF_ruby shared library.

Package: robottestingframework-testrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot Testing Framework - robottestingframework-testrunner
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the robottestingframework-testrunner executable.

Package: librobottestingframework-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
 lynx | www-browser, doc-base, libjs-jquery
Multi-Arch: foreign
Description: Robot Testing Framework - documentation
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This package contains the documentation and example files.
Build-Profiles: <!nodoc>

Package: robot-testing-framework
Architecture: any
Depends: ${misc:Depends},
 librobottestingframework-dev (= ${binary:Version})
Recommends:
 librobottestingframework-doc (= ${binary:Version})
Description: Robot Testing Framework (metapackage)
 It is a generic and multi-platform testing framework for the test
 driven development (TDD) which is initially designed for the robotic
 systems.
 However, it can be used for any TDD system. The framework provides
 functionalities for developing and running unit tests in a language and
 middleware independent manner. The test cases are developed as
 independent plug-ins (i.e., using scripting languages or built as
 dynamically loadable libraries) to be loaded and executed by an
 automated test runner.
 Moreover, a fixture manager prepares the setup (e.g., running robot
 interfaces, simulator) and actively monitors that all the requirements
 for running the tests are satisfied during the execution of the tests.
 These functionalities along with other facilities such as the test
 result collector, result formatter and remote interface allow for rapid
 development of test units to cover different levels of system testing.
 .
 This metapackage installs all libraries and tools.
